View Issue Details

IDProjectCategoryView StatusLast Update
0003166Multi Theft Auto : San AndreasScriptingpublic2013-05-13 02:03
Reporterlil_ToadyAssigned Toccw 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version1.3.3Fixed in Version1.3.3 
Summary0003166: setVehiclePlateText function missing
Description

Where did it go both server and client side? >:(

TagsNo tags attached.

Relationships

related to 0003117 resolvedccw Multi Theft Auto : San Andreas Custom vehicle plate text is only set on one of both plates and is reset on damage 
related to 0004564 closed Source patches Patch for 3166: setVehiclePlateText function missing 
child of 0003344 closed New Feature Requests Requested features tracker 

Activities

Fenix1053

2009-06-29 19:17

reporter   ~~0009815

Patch Uploaded: #4564

jhxp

2009-07-02 15:14

administrator   ~~0009862

See if the patch is correct and apply/test it.
If the outcome of any of the above is negative - set it back to 1.0.2 :p

Arc

2009-07-02 15:39

administrator   ~~0009863

Plate texts are not per-vehicle but rather per-model. A function like this will make scripters wrongly assume that they can (reliably) change the plate text of individual vehicles. Not even the plate text parameter in createVehicle is reliable (can get reset when creating more cars of the model, when restreaming the car etc).

Putting back at 1.0.2 as there is more work needed than what the patch does.

JoeBullet

2012-08-16 00:35

updater   ~~0017299

Note to self:
^^^^^^^^^^^^
Licenseplate Functions

CLicensePlate::RenderToRaster
CLicensePlate::Shutdown
CLicensePlate::Create
CLicensePlate::SetTexture
CLicensePlate::GetArrayDimFromChar
CLicensePlate::CreateWithText
CLicensePlate::GenerateText

CLicensePlateManager::SetTexture
CLicensePlateManager::SetTextureAtomicCB
CLicensePlateManager::SetTextureMaterialCB
CLicensePlateManager::SetText
CLicensePlateManager::SetTextAtomicCB
CLicensePlateManager::SetTextMaterialCB
CLicensePlateManager::LoadData

CModelCars::SetupLicenseplate - set up license plate
CVehicle::SetLicenseplate
CModelCars::SetLicenseplateText

Licenseplate Designs

plateback1 - San Fierro
plateback2 - Las Venturas
plateback3 - Los Santos

CVehicle + 0x588: RwTexture pLicenseplateTexture;
TODO:
Disable per-model(CModelCars::) licenseplate setters and override CVehicle::SetLicenseplate to our handler(which would put CLicensePlate::Create(const char
name, char ucDesign) return value (RwTexture*) into CVehicle + 0x588).

ccw

2013-05-13 02:03

administrator   ~~0018566

Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=5394

Issue History

Date Modified Username Field Change